package com.qmth.eds.api;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.enums.RoleTypeEnum;
import com.qmth.eds.service.SysRoleService;
import com.qmth.eds.util.Result;
import com.qmth.eds.util.ResultUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 角色表 前端控制器
 * </p>
 *
 * @author wangliang
 * @since 2022-05-14
 */
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/sys_role")
public class SysRoleController {

    @Resource
    SysRoleService sysRoleService;

    /**
     * 查询
     */
    @ApiOperation(value = "查询")
    @PostMapping("/list")
    public Result list() {
        return ResultUtil.ok(sysRoleService.list());
    }

    /**
     * 用途列表
     */
    @ApiOperation(value = "角色")
    @PostMapping("/list_role")
    public Result listRole() {
        return ResultUtil.ok(RoleTypeEnum.listTypes());
    }
}
